Package io.vertx.junit5.rxjava2

## Class VertxParameterProvider

- java.lang.Object
- - io.vertx.junit5.rxjava2.VertxParameterProvider

- All Implemented Interfaces:
    `VertxExtensionParameterProvider<Vertx>`

      public class VertxParameterProvider
      extends Object
      implements VertxExtensionParameterProvider<Vertx>

  RxJava 2 Vertx parameter provider.
  Author:
    Julien Ponge

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VertxParameterProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `key()` | A string to identify the parameter in an extension context.
    `Vertx` | `newInstance​(org.junit.jupiter.api.extension.ExtensionContext extensionContext, org.junit.jupiter.api.extension.ParameterContext parameterContext)` | Provide a new parameter instance.
    `ParameterClosingConsumer<Vertx>` | `parameterClosingConsumer()` | A consumer to close the resource.
    `Class<Vertx>` | `type()` | The parameter type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertxParameterProvider

          public VertxParameterProvider()

  - ### Method Detail

    - #### type

          public Class<Vertx> type()

      Description copied from interface: `VertxExtensionParameterProvider`
      The parameter type.
      Specified by:
        `type` in interface `VertxExtensionParameterProvider<Vertx>`
      Returns:
        the parameter type

    - #### key

          public String key()

      Description copied from interface: `VertxExtensionParameterProvider`
      A string to identify the parameter in an extension context.

      In most cases it should be a constant.

      Specified by:
        `key` in interface `VertxExtensionParameterProvider<Vertx>`
      Returns:
        the identifier

    - #### newInstance

          public Vertx newInstance​(org.junit.jupiter.api.extension.ExtensionContext extensionContext,
                                   org.junit.jupiter.api.extension.ParameterContext parameterContext)

      Description copied from interface: `VertxExtensionParameterProvider`
      Provide a new parameter instance.
      Specified by:
        `newInstance` in interface `VertxExtensionParameterProvider<Vertx>`
      Parameters:
        `extensionContext` - the extension context
        `parameterContext` - the parameter context
      Returns:
        the new instance

    - #### parameterClosingConsumer

          public ParameterClosingConsumer<Vertx> parameterClosingConsumer()

      Description copied from interface: `VertxExtensionParameterProvider`
      A consumer to close the resource.
      Specified by:
        `parameterClosingConsumer` in interface `VertxExtensionParameterProvider<Vertx>`
      Returns:
        the consumer